Subject: No way to have global diff settings? (global .gitattributes feature request)

From: Štěpán Němec <[email-masked]>
Date: Wed, 21 Apr 2010 19:05:53 +0200

Hello,

it seems there is no global .gitattribute equivalent to .gitignore or
.gitconfig. Wouldn't it make much sense to have one? Failing that, there
really should be a way to specify some global diff options at least.

My use case:

I wanted to specify something like -F "^(" to git diff for lisp files.
But well, git diff has no -F option! So shruggar from #git pointed me to
gitattributes. OK, that's great and works, but now I have to put
.gitattributes or info/attributes to all repos with lisp files in them?
That rather sucks, if you ask me.

So I would like to ask if there is a way, and if not, if it could be
considered a useful feature addition.

Thanks,

  Štěpán